## slime 2.27+dfsg

=== debian/changelog ===
slime (2:2.27+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + slime: Drop versioned constraint on emacs in Recommends.
    + Remove 1 maintscript entries from 1 files.

  [ Sébastien Villemot ]
  * d/patches/implementations.patch: add abcl to the list of
    implementations packaged in Debian

  [ Sean Whitton ]
  * New upstream release.
  * Add myself to Uploaders.
  * Drop emacs28.patch.
    Applied upstream.
  * Refresh remaining patches.
  * wrap-and-sort -abst

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Apr 2022 13:59:29 -0700
