=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders:
 Peter Van Eynde <pvaneynd@debian.org>,
 Milan Zamazal <pdm@debian.org>,
 Sébastien Villemot <sebastien@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 12.8~),
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive,
 texlive-extra-utils,
 texlive-latex-extra,
 texlive-plain-generic,
Standards-Version: 4.5.1
Homepage: https://common-lisp.net/project/slime/
Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
Rules-Requires-Root: no

Package: cl-swank
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 slime (= ${source:Version}),
Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).

Package: slime
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 cl-swank (= ${source:Version}),
 emacs,
 info | info-browser,
Suggests:
 hyperspec,
Description: Superior Lisp Interaction Mode for Emacs (client)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).
