=== debian/rules ===
#!/usr/bin/make -f

%:

	dh $@ --with elpa

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
endif

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) doc-clean

execute_after_dh_install:
	# The file created below is used by swank-loader::slime-version-string,
	# as modified by paths.patch.
	grep '^;;\s*Version:' slime.el | sed 's/;;\s*Version:\s//' > debian/cl-swank/usr/share/common-lisp/source/slime/slime-version

execute_after_dh_elpa:
	# cl-lib.el is included in Emacs >= 24, so no need to ship it (see #767527).
	find debian/slime -name cl-lib.el -delete

override_dh_compress:
	dh_compress -Xpdf
