=== debian/tests/control ===
# Run the testsuite on SBCL (see also testsuite.patch)

Test-Command: emacs -q --script debian/tests/runtests-sbcl.el
Depends:
 cl-swank,
 emacs-nox,
 sbcl,
 slime,
Restrictions: allow-stderr

# Try to load swank on ECL and CLISP

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends:
 cl-swank,
 ecl,
Restrictions: allow-stderr, superficial

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends:
 cl-swank,
 clisp,
Restrictions: allow-stderr, superficial
