## slime 2.28%2Bdfsg

=== debian/changelog ===
slime (2:2.28+dfsg-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Refresh patches.
  * Pass -j1 to make when building the docs.
  * Disable SBCL autopkgtest.
    slime-batch-test times out waiting for sbcl to be ready, and I haven't
    yet been able to determine why.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 31 Aug 2023 14:52:04 +0100
