=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@debian.org>,
- Sébastien Villemot <sebastien@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
  debhelper (>= 12.8~),
