=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%slime-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
    https://github.com/slime/slime/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
