## slime 2.30+dfsg

=== debian/changelog ===
slime (2:2.30+dfsg-4) unstable; urgency=medium

  * Bug fix: "slime-autoloads.el needs lexical-binding cookie", thanks to
    Sean Whitton (Closes: #1102423).

 -- David Bremner <bremner@debian.org>  Fri, 11 Apr 2025 19:55:14 -0300

slime (2:2.30+dfsg-3) unstable; urgency=medium

  [ Sean Whitton ]
  * Remove myself from Uploaders.
    David is taking over this one -- many thanks.

  [ David Bremner ]
  * Enable SBCL autopkgtests.
  * Disable CLISP autopkgtests. CLISP in Debian needs one or more active
    uploaders.

 -- David Bremner <bremner@debian.org>  Fri, 02 Aug 2024 08:17:16 -0300

slime (2:2.30+dfsg-2) unstable; urgency=medium

  * Rebuild against dh-elpa 2.1.5, thanks to spwhitton@spwhitton.name
    (Closes: #1077117)
  * Add myself to uploaders.

 -- David Bremner <bremner@debian.org>  Fri, 26 Jul 2024 16:30:54 +0900

slime (2:2.30+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Jun 2024 21:17:15 +0800
