=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@debian.org>,
- Sean Whitton <spwhitton@spwhitton.name>,
+ David Bremner <bremner@debian.org>
 Build-Depends:
  debhelper (>= 12.8~),
  debhelper-compat (= 13),
