=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 override_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
+	$(MAKE) -j1 -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
 endif
 
 override_dh_auto_test:
