## slime 20070409

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# This file has been placed in the public domain.
+#
 # Where to put the info file(s). NB: the GNU Coding Standards (GCS)
 # and the Filesystem Hierarchy Standard (FHS) differ on where info
 # files belong. The GCS says /usr/local/info; the FHS says
@@ -12,23 +14,28 @@
 # Info files generated here.
 infofiles=slime.info
 
-all: slime.ps slime.info slime.pdf
+TEXI = slime.texi contributors.texi
+
+all: slime.ps slime.info slime.html slime.pdf
+
+slime.dvi: $(TEXI)
+	texi2dvi slime.texi
+
+slime.ps: slime.dvi
+	dvips -o $@ $<
+
+slime.info: $(TEXI)
+	makeinfo $<
+
+slime.html: $(TEXI)
+	texi2html $<
+
+slime.pdf: $(TEXI)
+	texi2pdf $<
 
 install: install-info
 
 uninstall: uninstall-info
-
-slime.ps: slime.dvi
-	dvips -o $@ $<
-
-slime.dvi: slime.texi contributors.texi
-	texi2dvi slime.texi
-
-slime.pdf: slime.texi contributors.texi
-	texi2pdf $<
-
-slime.info: slime.texi contributors.texi
-	makeinfo $<
 
 # Create contributors.texi, a texinfo table listing all known
 # contributors of code.
@@ -98,3 +105,4 @@
 	rm -f slime.info
 	rm -f slime.pdf
 	rm -f slime.ps
+	rm -f slime.html
