## slime 20100722

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary
