=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
# Add here commands to compile the package.
	cd doc; $(MAKE) slime.ps slime.info slime.pdf slime-refcard.pdf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
## no 'clean' target in docs/Makefile
	cd doc; $(MAKE) clean
## remove, also, doc/*.pdf - to prevent any errors from dpkg-source
## about binary-file contents that differ
	dh_clean doc/slime.pdf

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add here commands to install the package into debian/tmp
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
##
## we handle this with dh_install ; see slime.install
##


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.



# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	sh -c 'if [ -f xref.lisp ] ; then echo "xref.lisp detected... committing seppuku for the greater good" ; exit 1 ; fi'
	dh_installchangelogs ChangeLog 
	dh_installdocs 
	dh_installexamples
	dh_install
	cp debian/overrides.slime debian/slime/usr/share/lintian/overrides/slime
	cp debian/overrides.cl-swank debian/cl-swank/usr/share/lintian/overrides/cl-swank
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo doc/slime.info
#	dh_installman
	dh_link
	dh_strip
## note : the -Xchangelog is needed, due to the use of the "Changelog"
## file-name and the variable 'slime-path', in the function
## `slime-changelog-date', in slime.el - also note the postinst.
	dh_compress -Xpdf -Xchangelog
	gzip -9 debian/slime/usr/share/doc/slime/changelog.Debian
	gzip -9 debian/cl-swank/usr/share/doc/cl-swank/changelog.Debian
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_lisp
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
