## slime 20130626

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: slime
 Architecture: all
 Depends: emacsen-common, ${misc:Depends}
-Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs23 | emacs22 | emacs-snapshot | xemacs21
+Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21
 Description: Superior LISP Interaction Mode for Emacs
  SLIME is the Superior Lisp Interaction Mode for Emacs.
  .
